<template>
  <div class="dashboard-content">
    <div class="bg-wrapper">
      <Background></Background>
    </div>

    <div class="top-content-wrapper">
      <section class="top-content">
        <div class="textbox">
          <div class="textbox__title">
            <p class="title">
              {{ $t(status) }}
            </p>
          </div>
        </div>

        <div class="countdown">
          <countdown :target-time="targetTime"></countdown>
        </div>

        <p class="sub-title">
          <span class="sub-title__number">{{ totalTokenSold | formatCurrencyAmount('usd', '0') }}</span>
          <span class="sub-title__text">Total HETA token sold</span>
        </p>

        <Progress :totalToken="totalTokenSold"></Progress>

        <div class="buyBtn-wrapper">
          <a href="javascript:void(0)" class="buyToken-btn" @click="scrollToBuyToken()">
            {{ $t('dashboard.button.buy_heta') }}
          </a>
        </div>

        <div class="arrow-down arrow-group">
          <span class="iconmo-arrow"></span>
          <span class="iconmo-arrow"></span>
        </div>
      </section>
    </div>
    <time-line :solds="solds"></time-line>
    <div class="buyToken" ref="buyToken"></div>
    <buy-token></buy-token>
    <history></history>
  </div>
</template>
<script>
  import { mapState } from 'vuex';
  import BigNumber from 'bignumber.js';

  import rf from '../../common/requests/RequestFactory';
  import Countdown from '../components/Dashboard/Countdown';
  import Progress from '../components/Dashboard/Progress';
  import BuyToken from '../components/Dashboard/BuyToken';
  import TimeLine from '../components/Dashboard/TimeLine';
  import History from '../components/Dashboard/History';
  import DashBoardCore from '../../home/pages/Dashboard.vue';
  import Background from '../components/Dashboard/Background';

  export default {
    components: {
      Countdown,
      Progress,
      BuyToken,
      TimeLine,
      History,
      Background
    },
    extends: DashBoardCore,
    methods: {
      scrollToBuyToken () {
        let windowHeight = window.innerHeight;
        $('html,body').animate({
          scrollTop: $(".buy-heta").offset().top - (windowHeight - $(".buy-heta").height())/2 },
          '300');
      },
    },
  }
</script>
<style lang="scss" scoped>
  @import '../../../sass/mobile/variables';
  @import '../../../sass/mobile/vendor/position';

  .dashboard-content {
    min-height: calc(100vh - 322rem);
  }

  a,
  a:active,
  a:hover {
    text-decoration: none;
  }

  .bg-wrapper {
    z-index: 1;
    @include absolute(0, 0, null, 0);

     &:before {
       z-index: 100;
       content: '';
       display: block;
       @include absolute(null , 0, 0 , 0);
       width: 100%;
       height: 100px;
       background-image: url('/images/bg_sup_gradient.png');
       background-repeat: repeat-x;
       background-position: 0 100%;
    }
  }

  .top-content-wrapper {
    position: relative;
    z-index: 100;
  }

  .dashboard-content {
    overflow: hidden;
    background-color: $dashboard_bgc;
    min-height: calc(100vh - 406rem);
    padding-top: 77rem;
  }

  .top-content {
    .textbox__start-end {
      text-align: center;
      margin-bottom: 12rem;
      .item {
        .type {
          font-size: $small;
          color: $gray_text_dashboard;
          margin-right: 3rem;
        }

        .time,
        .date {
          font-size: $small;
          color: #cacaca;
          font-weight: bold;
        }

        .date {
          font-weight: normal;
          margin-left: 10rem;
        }
      }
    }

    .textbox__title {
      margin-bottom: 39rem;
      padding: 0 30rem;
      .title {
        font-size: $big-30;
        font-weight: bold;
        color: #fff;
        text-align: center;
        margin-bottom: 17rem;
        line-height: 1.1;
      }
    }

    .sub-title {
      text-align: center;
      margin-bottom: 25rem;

      .sub-title__number {
        vertical-align: middle;
        font-size: $big-20;
        font-weight: bold;
        color: $orangeBold;
        text-decoration: underline;
        margin-right: 5rem;
        line-height: 1;
        display: block;
      }

      .sub-title__text {
        vertical-align: middle;
        font-size: $small;
        color: $gray_text_dashboard;
      }
    }

    .buyBtn-wrapper {
      text-align: center;
      margin-bottom: 18rem;
      margin-top: 25rem;

      .buyToken-btn {
        display: inline-block;
        font-size: $small;
        font-weight: bold;
        letter-spacing: 0;
        color: $white;
        padding: 6rem 24rem;
        background-color: $dark_orange;
        border-radius: 30rem;
      }
    }

    .time-line {
      margin-bottom: 40rem;
    }

    .arrow-down {
      height: 30px;
      position: relative;
      display: block;
      text-align: center;
      margin-bottom: 10rem;
      animation: blinking 2s linear 0s infinite;

      .iconmo-arrow {
        opacity: 0;
        position: absolute;
        left: 50%;
        top: 10px;

        font-size: 15px;
        color: $gray;
        transform: translateX(-50%) rotate(90deg);
        display: block;
      }
    }
  }

  .buyToken {
    width: 100%;
    background-color: #181a3a;
    height: 49rem;
  }

  // buy history
  .bottom-content {
    max-width: 1130rem;
    margin: 100rem auto 125rem;
    position: relative;
    z-index: 10;
  }

  $ani-speed: 2s;
  $ani-delay: 1s;

  .arrow-group {
    .iconmo-arrow:nth-child(1) {
      animation: arrow-movement $ani-speed ease-in-out infinite;
    }
    .iconmo-arrow:nth-child(2) {
      font-size: 15px;
      margin-bottom: -8px;
      animation: arrow-movement $ani-speed $ani-delay ease-in-out infinite;
    }
  }

   @keyframes arrow-movement {
    0% {
        opacity: 0;
        top: 0;
    }
    70% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
  }
</style>
